### Hierarchy

- AtomUI

## Index

### Methods

- assignID
- getNewIndex
- innerHeight
- innerWidth
- outerHeight
- outerWidth
- parseUrl
- parseValue
- screenOffset
- scrollTop
- toNumber

## Methods

### Static assignID

- assignID(element: HTMLElement): string

- - Defined in src/web/core/AtomUI.ts:121

  #### Parameters

  - ##### element: HTMLElement

  #### Returns string

### Static getNewIndex

- getNewIndex(): number

- - Defined in src/web/core/AtomUI.ts:138

  #### Returns number

### Static innerHeight

- innerHeight(el: HTMLElement): number

- - Defined in src/web/core/AtomUI.ts:49

  #### Parameters

  - ##### el: HTMLElement

  #### Returns number

### Static innerWidth

- innerWidth(el: HTMLElement): number

- - Defined in src/web/core/AtomUI.ts:45

  #### Parameters

  - ##### el: HTMLElement

  #### Returns number

### Static outerHeight

- outerHeight(el: HTMLElement, margin?: boolean): number

- - Defined in src/web/core/AtomUI.ts:29

  #### Parameters

  - ##### el: HTMLElement

  - ##### Default value margin: boolean = false

  #### Returns number

### Static outerWidth

- outerWidth(el: HTMLElement, margin?: boolean): number

- - Defined in src/web/core/AtomUI.ts:37

  #### Parameters

  - ##### el: HTMLElement

  - ##### Default value margin: boolean = false

  #### Returns number

### Static parseUrl

- parseUrl(url: string): INameValues

- - Defined in src/web/core/AtomUI.ts:74

  #### Parameters

  - ##### url: string

  #### Returns INameValues

### Static parseValue

- parseValue(val: string): string | number | false | true

- - Defined in src/web/core/AtomUI.ts:95

  #### Parameters

  - ##### val: string

  #### Returns string | number | false | true

### Static screenOffset

- screenOffset(e: HTMLElement): IRect

- - Defined in src/web/core/AtomUI.ts:57

  #### Parameters

  - ##### e: HTMLElement

  #### Returns IRect

### Static scrollTop

- scrollTop(el: HTMLElement, y: number): any

- - Defined in src/web/core/AtomUI.ts:53

  #### Parameters

  - ##### el: HTMLElement

  - ##### y: number

  #### Returns any

### Static toNumber

- toNumber(text: string): number

- - Defined in src/web/core/AtomUI.ts:128

  #### Parameters

  - ##### text: string

  #### Returns number

Generated using TypeDoc